## WebKitDOMNamedNodeMap

WebKitDOMNamedNodeMap

## Functions

WebKitDOMNode * | webkit_dom_named_node_map_get_named_item ()
WebKitDOMNode * | webkit_dom_named_node_map_set_named_item ()
WebKitDOMNode * | webkit_dom_named_node_map_remove_named_item ()
WebKitDOMNode * | webkit_dom_named_node_map_item ()
WebKitDOMNode * | webkit_dom_named_node_map_get_named_item_ns ()
WebKitDOMNode * | webkit_dom_named_node_map_set_named_item_ns ()
WebKitDOMNode * | webkit_dom_named_node_map_remove_named_item_ns ()
gulong | webkit_dom_named_node_map_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMNamedNodeMap

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNamedNodeMap

## Description

## Functions

### webkit_dom_named_node_map_get_named_item ()

    WebKitDOMNode *
    webkit_dom_named_node_map_get_named_item
                                   (WebKitDOMNamedNodeMap *self,
                                    const gchar *name);

#### Parameters

self | A WebKitDOMNamedNodeMap |
name | A gchar |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_named_node_map_set_named_item ()

    WebKitDOMNode *
    webkit_dom_named_node_map_set_named_item
                                   (WebKitDOMNamedNodeMap *self,
                                    WebKitDOMNode *node,
                                    GError **error);

#### Parameters

self | A WebKitDOMNamedNodeMap |
node | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_named_node_map_remove_named_item ()

    WebKitDOMNode *
    webkit_dom_named_node_map_remove_named_item
                                   (WebKitDOMNamedNodeMap *self,
                                    const gchar *name,
                                    GError **error);

#### Parameters

self | A WebKitDOMNamedNodeMap |
name | A gchar |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_named_node_map_item ()

    WebKitDOMNode *
    webkit_dom_named_node_map_item (WebKitDOMNamedNodeMap *self,
                                    gulong index);

#### Parameters

self | A WebKitDOMNamedNodeMap |
index | A gulong |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_named_node_map_get_named_item_ns ()

    WebKitDOMNode *
    webkit_dom_named_node_map_get_named_item_ns
                                   (WebKitDOMNamedNodeMap *self,
                                    const gchar *namespaceURI,
                                    const gchar *localName);

#### Parameters

self | A WebKitDOMNamedNodeMap |
namespaceURI | A gchar |
localName | A gchar |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_named_node_map_set_named_item_ns ()

    WebKitDOMNode *
    webkit_dom_named_node_map_set_named_item_ns
                                   (WebKitDOMNamedNodeMap *self,
                                    WebKitDOMNode *node,
                                    GError **error);

#### Parameters

self | A WebKitDOMNamedNodeMap |
node | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_named_node_map_remove_named_item_ns ()

    WebKitDOMNode *
    webkit_dom_named_node_map_remove_named_item_ns
                                   (WebKitDOMNamedNodeMap *self,
                                    const gchar *namespaceURI,
                                    const gchar *localName,
                                    GError **error);

#### Parameters

self | A WebKitDOMNamedNodeMap |
namespaceURI | A gchar |
localName | A gchar |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_named_node_map_get_length ()

    gulong
    webkit_dom_named_node_map_get_length (WebKitDOMNamedNodeMap *self);

#### Parameters

self | A WebKitDOMNamedNodeMap |

#### Returns

A gulong

## Types and Values

### WebKitDOMNamedNodeMap

    typedef struct _WebKitDOMNamedNodeMap WebKitDOMNamedNodeMap;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong NamedNodeMap:length.

Flags: Read